package net.pijcke.mazes.grid.cell

import net.pijcke.mazes.grid.Coordinate

class Cell<C: Coordinate<C>>(val position: C) {

    private val links = mutableListOf<Cell<C>>()

    fun link(cell: Cell<C>) = links.add(cell)

    fun isLinkedTo(position: C): Boolean = links.any { it.position == position }

}