package net.pijcke.mazes.grid.graph

import net.pijcke.mazes.grid.Coordinate

data class Edge<C: Coordinate<C>>(val position1: C, val position2: C): Comparable<Edge<C>> {

    override fun compareTo(other: Edge<C>): Int {
        return position1.compareTo(other.position1)
            .takeIf { it != 0 }
            ?: position2.compareTo(other.position2)
    }

}