package net.pijcke.mazes.layout.rectangular

import net.pijcke.mazes.grid.Grid

interface RectangularGrid: Grid<CartesianCoordinate> {

    val width: Int

    val height: Int

    override fun isWithinBounds(position: CartesianCoordinate) =
        position.x in 0 ..< width && position.y in 0 ..< height

}
