package net.pijcke.mazes.layout.rectangular

import net.pijcke.mazes.grid.Grid
import net.pijcke.mazes.grid.GridWalker

class RectangularGridWalker : GridWalker<CartesianCoordinate> {

    override fun origin(grid: Grid<CartesianCoordinate>) = CartesianCoordinate(0, 0)

    override fun unitVectors(): List<(CartesianCoordinate) -> CartesianCoordinate> =
        listOf({ it.north() }, { it.east() })

}
