plugins {
  kotlin("jvm") version "1.9.0"
  id("org.openjfx.javafxplugin") version "0.1.0"
  id("application")
}

application {
  mainClass.set("net.pijcke.mazes.MazesFX")
}

group = "net.pijcke"
version = "1.0-SNAPSHOT"

repositories {
  mavenCentral()
}

dependencies {
  testImplementation(kotlin("test"))
}

tasks.test {
  useJUnitPlatform()
}

kotlin {
  jvmToolchain(20)
}

javafx {
  modules("javafx.controls", "javafx.swing")
}
