package net.pijcke.mazes.grid

interface Grid<C: Coordinate<C>> {

    fun getPositions(): Collection<C>

    fun isWithinBounds(position: C): Boolean

    fun link(position1: C, position2: C)

    fun linked(position1: C, position2: C): Boolean

}
