package net.pijcke.mazes.ui

import javafx.scene.canvas.GraphicsContext
import net.pijcke.mazes.grid.Grid
import net.pijcke.mazes.grid.Coordinate

interface GridRenderer<C: Coordinate<C>, G: Grid<C>> {

    val context: GraphicsContext
    val grid: G

    fun clear()

    fun render()

}